Difference between revisions of "Platform-releng/toolchainsExample"

From Eclipsepedia

Jump to: navigation, search
(example of toolchains.xml)
 
m (Example of toolchains.xml file -- added Java 8.)
 
Line 87: Line 87:
 
     <configuration>
 
     <configuration>
 
         <jdkHome>/shared/common/jdk1.7.0/jre</jdkHome>
 
         <jdkHome>/shared/common/jdk1.7.0/jre</jdkHome>
 +
    </configuration>
 +
  </toolchain>
 +
  <toolchain>
 +
    <type>jdk</type>
 +
    <provides>
 +
        <id>JavaSE-1.8</id>
 +
    </provides>
 +
    <configuration>
 +
        <jdkHome>/shared/common/jdk1.8.0/jre</jdkHome>
 
     </configuration>
 
     </configuration>
 
   </toolchain>
 
   </toolchain>

Latest revision as of 11:13, 22 March 2014

[edit] Example of toolchains.xml file as used by Platform builds

<toolchains>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>CDC-1.0/Foundation-1.0</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/cbi/ee/CDC-1.0_Foundation-1.0</jdkHome>
     </configuration>
  </toolchain>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>CDC-1.1/Foundation-1.1</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/cbi/ee/CDC-1.1_Foundation-1.1</jdkHome>
     </configuration>
  </toolchain>


  <toolchain>
     <type>jdk</type>
     <provides>
         <id>OSGi/Minimum-1.0</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/cbi/ee/OSGi_Minimum-1.0</jdkHome>
     </configuration>
  </toolchain>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>OSGi/Minimum-1.1</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/cbi/ee/OSGi_Minimum-1.1</jdkHome>
     </configuration>
  </toolchain>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>OSGi/Minimum-1.2</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/cbi/ee/OSGi_Minimum-1.2</jdkHome>
     </configuration>
  </toolchain>


  <toolchain>
     <type>jdk</type>
     <provides>
         <id>J2SE-1.4</id>
     </provides>
     <configuration>
        <!-- <jdkHome>/opt/IBMJava2-amd64-142/jre</jdkHome> -->
        <jdkHome>/shared/common/j2sdk1.4.2_19/jre</jdkHome>
     </configuration>
  </toolchain>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>J2SE-1.5</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/jdk-1.5.0-22.x86_64/jre</jdkHome>
     </configuration>
  </toolchain>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>JavaSE-1.6</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/jdk-1.6.x86_64/jre</jdkHome>
     </configuration>
  </toolchain>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>JavaSE-1.7</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/jdk1.7.0/jre</jdkHome>
     </configuration>
  </toolchain>
  <toolchain>
     <type>jdk</type>
     <provides>
         <id>JavaSE-1.8</id>
     </provides>
     <configuration>
        <jdkHome>/shared/common/jdk1.8.0/jre</jdkHome>
     </configuration>
  </toolchain>

</toolchains>